---
title: godo.SpacesKeys.Delete()
description: Delete deletes a Spaces key.
product: Reference
url: https://docs.digitalocean.com/reference/godo/reference/spaces-keys/spaces-keys-delete/
last_updated: "2026-11-05"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# godo.SpacesKeys.Delete()

Generated on 5 Nov 2026 from godo version [`v1.236.0`](https://github.com/digitalocean/godo/releases/tag/v1.236.0)

## Usage

```go
client.SpacesKeys.Delete(ctx context.Context, accessKey string) (*godo.Response, error)
```

## Description

`Delete` deletes a Spaces key.

This method sends a DELETE request to [`/v2/spaces/keys/{}`](https://docs.digitalocean.com/reference/api/reference/spaces-keys/index.html.md#spacesKey_delete).

## Parameters

`accessKey` string required

## Returns

\*godo.Response

The HTTP response, with pagination `Links`, `Meta`, and `Rate` limit information.

error

Non-nil when the request fails. API errors are returned as `*godo.ErrorResponse`.

### Fields of `godo.Response`

`Response` is a DigitalOcean response. This wraps the standard http.Response returned from DigitalOcean.

`Response` \*http.Response

`Links` \*godo.Links

`Links` that were returned with the response. These are parsed from
request body and not the header.

`Meta` \*godo.Meta

`Meta` describes generic information about the response.

`Monitor` string

Monitoring URI

`Rate` godo.Rate

## Request Sample

## Show Request Sample

```go
package main

import (
	"context"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	_, err := client.SpacesKeys.Delete(ctx, "<your-access-key>")
	if err != nil {
		log.Fatal(err)
	}
}
```

## More Information

See [`DELETE /v2/spaces/keys/{}`](https://docs.digitalocean.com/reference/api/reference/spaces-keys/index.html.md#spacesKey_delete) in the API reference for additional detail on responses, headers, parameters, and more.

See the [Go package documentation](https://pkg.go.dev/github.com/digitalocean/godo#SpacesKeysServiceOp.Delete) for the source of this method.